package cn.fw.hermes.common.constant;

import lombok.Getter;

/**
 * @author 张志伟
 * @date 2018-09-20 16:00
 * @description
 */
public enum ImAllowType {
    /**
     * 添加好友方式
     */
    NEED_CONFIRM("AllowType_Type_NeedConfirm", "需要确认"),
    ALLOW_ANY("AllowType_Type_AllowAny", "允许任何人"),
    DENY_ANY("AllowType_Type_DenyAny", "不与允许任何人");

    @Getter
    private String code;
    @Getter
    private String msg;

    ImAllowType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static ImAllowType getEnum(String code) {
        for (ImAllowType enums : ImAllowType.values()) {
            if (code.equals(enums.getCode())) {
                return enums;
            }
        }
        throw new IllegalArgumentException(code + "没有对应枚举");
    }
}
