package cn.fw.hermes.domain.dto;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.util.StringUtils;

/**
 * @author 张志伟
 * @date 2018-09-08 16:38
 * @description
 */
@Data
@Component
public class AdminConfigDto {

    @Value("${im.sdkappid}")
    private Long appId;

    @Value("${im.key.pri-key}")
    private String privStr;

    @Value("${im.admin-account}")
    private String adminId;

    public String getPrivStr() {
        if (StringUtils.isEmpty(privStr)) {
            return null;
        }
        return privStr.replaceAll("#", "\n");
    }
}
